unicode-collation-0.1.3.6: Haskell implementation of the Unicode Collation Algorithm

Safe Haskell | None
Language | Haskell2010

Text.Collate.Normalize

Description

We define our own normalization function instead of depending on unicode-transforms, because we need a lazy (streaming) normalization function for maximum efficiency. No point normalizing two whole `Text`s if we can see from the first few characters how they should be ordered. See https://unicode.org/reports/tr15/ for a description of the algorithm implemented here.

Synopsis

- toNFD :: [Int] -> [Int]

# Documentation

toNFD :: [Int] -> [Int] #

Lazily normalize a list of code points to its canonical decomposition (NFD).